Skip to main content
GET
Search and page workspace run history
Authentication: workspace API key in Authorization: Bearer <key>.

Errors

Authorizations

Authorization
string
header
required

Create a workspace API key in the Deepline dashboard before calling authenticated endpoints.

Query Parameters

Case-insensitive substring, at most 200 characters.

Maximum string length: 200
cursor
string

Opaque continuation bound to the same workspace and search.

type
enum<string>

Search all, Play or Monitor runs by recorded trigger metadata; requires search.

Available options:
all,
plays,
monitors
limit
integer
default:20

Maximum indexed history entries examined in this page.

Required range: 1 <= x <= 30

Response

A successful Runtime API response.

runs
object[]
required
nextCursor
string | null
required
hasMore
boolean
required
avatarsByName
object